﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using ProgressDemo.Resources;

namespace ProgressDemo
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();

        }

        ProgressIndicator prog;

        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            prog = new ProgressIndicator();
            prog.IsIndeterminate = true;
            prog.IsVisible = false;
            prog.Text = "Go away. I'm busy";
            SystemTray.SetProgressIndicator(this, prog);
        }

        private void busy_clicked(object sender, RoutedEventArgs e)
        {
            prog.IsVisible = true;
        }

        private void free_clicked(object sender, RoutedEventArgs e)
        {
            prog.IsVisible = false;
        }


        // Sample code for building a localized ApplicationBar
        //private void BuildLocalizedApplicationBar()
        //{
        //    // Set the page's ApplicationBar to a new instance of ApplicationBar.
        //    ApplicationBar = new ApplicationBar();

        //    // Create a new button and set the text value to the localized string from AppResources.
        //    ApplicationBarIconButton appBarButton = new ApplicationBarIconButton(new Uri("/Assets/AppBar/appbar.add.rest.png", UriKind.Relative));
        //    appBarButton.Text = AppResources.AppBarButtonText;
        //    ApplicationBar.Buttons.Add(appBarButton);

        //    // Create a new menu item with the localized string from AppResources.
        //    ApplicationBarMenuItem appBarMenuItem = new ApplicationBarMenuItem(AppResources.AppBarMenuItemText);
        //    ApplicationBar.MenuItems.Add(appBarMenuItem);
        //}
    }
}